#!/bin/sh 

if [ ${#@} != 2 ] 
then 
echo "Are needed the parameters name of user and DN base for replica" 
echo "For example user_replica.sh replicator dc=domain1,dc=SOLARIA,dc=ES" 
exit 
fi 

KEY=`makepasswd -crypt -chars=7 \ 
-string="abcdefghijklmnopqrstuvwxyz1234567890"` 
PASS=`echo $KEY|awk '{ print $1}'` 
CRYPT=`echo $KEY|awk '{ print $2}'` 

echo "Creating user $1 with password: $PASS" 

slapadd EOF 
dn: cn=$1,ou=people,$2 
displayName: Debian User,,, 
userPassword: {crypt} $CRYPT 
sambaLMPassword: 
sambaNTPassword: 
sn: $1 
givenName: $1 
cn: $1 
homeDirectory: /home/$1 
loginShell: /bin/false 
uidNumber: 10000 
gidNumber: 100 
gecos: $1 
shadowMin: 0 
shadowMax: 99999 
shadowWarning: 7 
shadowInactive: 0 
shadowLastChange: 12438 
gosaDefaultLanguage: en_EN 
uid: $1 
objectClass: posixAccount 
objectClass: shadowAccount 
objectClass: person 
objectClass: organizationalPerson 
objectClass: inetOrgPerson 
objectClass: gosaAccount 
objectClass: top 
EOF 

